mail::account::resume
Prev | mail::account Native API reference | Next

## Name

mail::account::resume — Resume after a suspend

## Synopsis

#include <libmail/mail.H>

`void mail::account::resume(` | `void)`; |

## USAGE

This function should be invoked when the application resumes after it was suspended, or after any other lengthy delay in calling `mail::account::process`. The application could've been suspended while LibMAIL was in a middle of processing a background event. After resuming, the jump in the system clock may result in LibMAIL concluding that the remote mail server timed out without responding, when the actual response did come in while the application was suspended, and LibMAIL just hasn't read it yet.

`mail::account::process` resets LibMAIL 's internal timeouts. Note that not much can be done if the application remained suspended long enough for the remote mail server to shut down the connection itself.

## SEE ALSO

mail::account::process(3x).

Prev | Up | Next
mail::account::removeMessages | Home | ToC | mail::account::saveFolderIndexInfo